<?php

namespace App\Generated\V1\Messages\Payment;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class GetCouponDetailMessage extends Message
{
    use ValueHelper;

    protected $couponId;
    protected $goodsId;
    protected $result;

    /**
     * @return int
     */
    public function getCouponId()
    {
        return $this->couponId;
    }

    /**
     * @return int|null
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    public function requestRules()
    {
        return [
            ['couponId', 'coupon_id', 'bail|integer', Constants::INTEGER, null],
            ['goodsId', 'goods_id', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
